> ## Documentation Index
> Fetch the complete documentation index at: https://developers.speedvitals.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all locations

> Returns a list of SpeedVitals supported locations



## OpenAPI

````yaml api-reference/openapi.json get /v1/locations
openapi: 3.1.0
info:
  contact:
    email: contact@speedvitals.com
    name: SpeedVitals Dev Team
    url: https://speedvitals.com
  description: >
    The SpeedVitals REST API. Please see
    [https://docs.speedvitals.com/api](https://docs.speedvitals.com/api/) for
    more details.
  termsOfService: https://speedvitals.com/terms-of-use
  title: SpeedVitals API
  version: 0.1.0
servers:
  - url: https://api.speedvitals.com
security:
  - apiKey: []
tags:
  - name: Ping
  - name: Devices
  - name: Locations
  - name: Lighthouse Tests
  - name: Lighthouse Batch Tests
  - name: TTFB Regions
  - name: TTFB Tests
  - name: Account
externalDocs:
  description: Home
  url: https://speedvitals.com
paths:
  /v1/locations:
    get:
      tags:
        - Locations
      summary: List all locations
      description: Returns a list of SpeedVitals supported locations
      operationId: GetLocations
      responses:
        '200':
          content:
            application/json:
              schema:
                description: An object containing a list of location objects
                type: object
                properties:
                  data:
                    type: array
                    description: An array of location objects
                    items:
                      $ref: '#/components/schemas/location'
              examples:
                default:
                  $ref: '#/components/examples/locations'
          description: Successful response.
      security: []
components:
  schemas:
    location:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/location_id'
        name:
          type: string
          example: United States
        full_name:
          type: string
          example: South Carolina, US
        region:
          type: string
          example: America
          enum:
            - America
            - Europe
            - Asia Pacific
    location_id:
      type: string
      example: us
      enum:
        - us
        - ca
        - br
        - de
        - uk
        - nl
        - pl
        - ch
        - jp
        - in
        - sg
        - au
        - id
        - kr
        - tw
  examples:
    locations:
      value:
        data:
          - id: us
            name: United States
            full_name: South Carolina, US
            region: America
          - id: de
            name: Germany
            full_name: Frankfurt, Germany
            region: Europe
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````